## com.baidubce
Class BceResponseMetadata

    java.lang.Object
      com.baidubce.BceResponseMetadata

Direct Known Subclasses:
  BosResponseMetadata

    public class BceResponseMetadata

extends Object

Represents additional metadata included with a response from BCE.

Constructor Summary
`BceResponseMetadata()`

Method Summary
`String` `getBceContentSha256()`
`String` `getBceRequestId()`
`String` `getContentDisposition()`
`String` `getContentEncoding()`
`long` `getContentLength()`
`String` `getContentMd5()`
`String` `getContentRange()`
`String` `getContentType()`
`Date` `getDate()`
`String` `getETag()`
`Date` `getExpires()`
`Date` `getLastModified()`
`String` `getLocation()`
`String` `getServer()`
`String` `getTransferEncoding()`
`void` `setBceContentSha256(String bceContentSha256)`
`void` `setBceRequestId(String bceRequestId)`
`void` `setContentDisposition(String contentDisposition)`
`void` `setContentEncoding(String contentEncoding)`
`void` `setContentLength(long contentLength)`
`void` `setContentMd5(String contentMd5)`
`void` `setContentRange(String contentRange)`
`void` `setContentType(String contentType)`
`void` `setDate(Date date)`
`void` `setETag(String eTag)`
`void` `setExpires(Date expires)`
`void` `setLastModified(Date lastModified)`
`void` `setLocation(String location)`
`void` `setServer(String server)`
`void` `setTransferEncoding(String transferEncoding)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BceResponseMetadata

    public BceResponseMetadata()

Method Detail

### getBceRequestId

    public String getBceRequestId()

### setBceRequestId

    public void setBceRequestId(String bceRequestId)

### getBceContentSha256

    public String getBceContentSha256()

### setBceContentSha256

    public void setBceContentSha256(String bceContentSha256)

### getContentDisposition

    public String getContentDisposition()

### setContentDisposition

    public void setContentDisposition(String contentDisposition)

### getContentEncoding

    public String getContentEncoding()

### setContentEncoding

    public void setContentEncoding(String contentEncoding)

### getContentLength

    public long getContentLength()

### setContentLength

    public void setContentLength(long contentLength)

### getContentMd5

    public String getContentMd5()

### setContentMd5

    public void setContentMd5(String contentMd5)

### getContentRange

    public String getContentRange()

### setContentRange

    public void setContentRange(String contentRange)

### getContentType

    public String getContentType()

### setContentType

    public void setContentType(String contentType)

### getDate

    public Date getDate()

### setDate

    public void setDate(Date date)

### getETag

    public String getETag()

### setETag

    public void setETag(String eTag)

### getExpires

    public Date getExpires()

### setExpires

    public void setExpires(Date expires)

### getLastModified

    public Date getLastModified()

### setLastModified

    public void setLastModified(Date lastModified)

### getServer

    public String getServer()

### setServer

    public void setServer(String server)

### getLocation

    public String getLocation()

### setLocation

    public void setLocation(String location)

### getTransferEncoding

    public String getTransferEncoding()

### setTransferEncoding

    public void setTransferEncoding(String transferEncoding)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2016. All rights reserved.